%define upstream_name f5-sdk

Name:           python-%{upstream_name}
Version:        3.0.21
Release:        %mkrel 7
Summary:        F5 Networks Python SDK
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/f5-sdk/
Source0:        https://files.pythonhosted.org/packages/85/1c/b6fb89a1ed640ff4d19899209eb4e8e236d170fe974a3a0f0ec8a29f2345/f5-sdk-%{version}.tar.gz
Patch0:         f5-sdk-3.0.21-iapp_parser-fix.patch
BuildArch:      noarch

%description
This project implements an object model based SDK for the F5 Networks® BIG-IP®
iControl® REST interface. Users of this library can create, edit, update, and
delete configuration objects on a BIG-IP®.

%package -n python3-%{upstream_name}
Summary:        F5 Networks Python SDK
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet >= 0.21
BuildRequires:  python3-f5-icontrol-rest
BuildRequires:  python3-jinja2
BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-requests >= 2.5.0
#BuildRequires:  python3-requests-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-urllib3
Requires:       python3-f5-icontrol-rest
Requires:       python3-six

%description -n python3-%{upstream_name}
This project implements an object model based SDK for the F5 Networks® BIG-IP®
iControl® REST interface. Users of this library can create, edit, update, and
delete configuration objects on a BIG-IP®.

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

# Drop bundled egg-info
rm -rf f5_sdk.egg-info/

# Remove functional tests, they need a real BIG-IP
find . -path '*/test/functional' -exec rm -rf {} \; || :

# Misclassified functionnal test ?
rm -f f5/bigip/cm/autodeploy/test/unit/test_software_image_uploads.py

# Remove dist stuff (docker, etc...)
rm -rf f5-sdk-dist

# Remove dev tools
rm -rf devtools

%build
%py3_build

%install
%py3_install

# Remove bogus file
rm %{buildroot}/usr/setup_requirements.txt

%check
%{__python3} setup.py test

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/f5
%{python3_sitelib}/f5sdk_plugins
%{python3_sitelib}/f5_sdk-%{version}-*.egg-info


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 3.0.21-7.mga9
+ Revision: 1836428
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 mrambo3501 <mrambo3501> 3.0.21-6.mga9
+ Revision: 1788499
- add Patch0 which fixes syntax errors in iapp_parser.py
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.0.21-5.mga9
+ Revision: 1732961
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.0.21-4.mga8
+ Revision: 1535879
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 guillomovitch <guillomovitch> 3.0.21-3.mga8
+ Revision: 1443455
- rebuild for python 3.8
- drop python2 support

* Sun Aug 18 2019 wally <wally> 3.0.21-2.mga8
+ Revision: 1429751
- remove unneeded sphinx BRs

* Sat Apr 20 2019 guillomovitch <guillomovitch> 3.0.21-1.mga7
+ Revision: 1394064
- new version 3.0.21

* Wed Apr 03 2019 guillomovitch <guillomovitch> 3.0.20-1.mga7
+ Revision: 1385595
- imported package python-f5-sdk

